## org.eclipse.jet.xpath
Class Context

    java.lang.Object
      org.eclipse.jet.xpath.Context

    public final class Context

extends java.lang.Object

Define the XPath Context

Constructor Summary
`Context(java.lang.Object contextNode, IAnnotationManager annotationManager)`
`Context(java.lang.Object contextNode, java.util.Map variables, IAnnotationManager annotationManager)`
`Context(java.lang.Object contextNode, XPathVariableResolver variableResolver, IAnnotationManager annotationManager)`
`Context(java.lang.Object contextNode, XPathVariableResolver variableResolver, IAnnotationManager annotationManager, XPathFunctionResolver functionResolver)`

Method Summary
`IAnnotationManager` `getAnnotationManager()` Return the context's annotation manager
`java.lang.Object` `getContextNode()`
`INodeInspector` `getContextNodeInspector()`
`int` `getContextPosition()`
`int` `getContextSize()`
`XPathFunctionResolver` `getFunctionResolver()`
`XPathVariableResolver` `getVariableResolver()`
`boolean` `hasAnnotationManager()` Test whether the context has an annotation manager
`Context` `newSubContext(java.lang.Object contextNode2, int contextPosition2, int contextSize2)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Context

    public Context(java.lang.Object contextNode,
                   IAnnotationManager annotationManager)

### Context

    public Context(java.lang.Object contextNode,
                   java.util.Map variables,
                   IAnnotationManager annotationManager)

### Context

    public Context(java.lang.Object contextNode,
                   XPathVariableResolver variableResolver,
                   IAnnotationManager annotationManager)

### Context

    public Context(java.lang.Object contextNode,
                   XPathVariableResolver variableResolver,
                   IAnnotationManager annotationManager,
                   XPathFunctionResolver functionResolver)

Method Detail

### getAnnotationManager

    public IAnnotationManager getAnnotationManager()

  Return the context's annotation manager

  Returns:
    the annotation manager
  Throws:
    `java.lang.IllegalStateException` - if the context has not annotation manager
  See Also:
    `hasAnnotationManager()`

### getContextNode

    public java.lang.Object getContextNode()

### getContextNodeInspector

    public INodeInspector getContextNodeInspector()

### getContextPosition

    public int getContextPosition()

### getContextSize

    public int getContextSize()

### getFunctionResolver

    public XPathFunctionResolver getFunctionResolver()

### getVariableResolver

    public XPathVariableResolver getVariableResolver()

### hasAnnotationManager

    public boolean hasAnnotationManager()

  Test whether the context has an annotation manager

  Returns:
    `true` if there is an annotation manager.

### newSubContext

    public Context newSubContext(java.lang.Object contextNode2,
                                 int contextPosition2,
                                 int contextSize2)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.